%define name		mmorph
%define version		2.3.4.2
%define version_orig	2.3.4_2
%define release		%mkrel 11

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Morphology tool
Source:		%{name}-%{version_orig}.tar.bz2
Patch0:		%{name}-%{version}.autoconf.patch
Patch1:		%{name}-%{version}.code.patch
Patch2:		%{name}-%{version}-fix-build.patch
Patch3:		mmorph-2.3.4.2-sys_errlist.patch
URL:		http://www.issco.unige.ch/tools
License:	GPL
Group:		Sciences/Computer science
BuildRequires:	db-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A replacement for the old unix crypt(1) command. Mcrypt
uses the following encryption (block) algorithms: BLOWFISH,
DES, TripleDES, 3-WAY, SAFER-SK64, SAFER-SK128, CAST-128, RC2
TEA (extended), TWOFISH, RC6, IDEA and GOST. The unix crypt
algorithm is also included, to allow compatibility with the
crypt(1) command.
CBC, ECB, OFB and CFB modes of encryption are supported.

%prep
%setup -q -n %{name}-%{version_orig}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
autoconf

%build
%configure2_5x
%make CFLAGS="%optflags"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_mandir}
install -d -m 755 %{buildroot}%{_bindir}
%makeinstall MANDIR=%{buildroot}%{_mandir} BINDIR=%{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc 00CHANGES 00COPYRIGHT 00INSTALL 00INSTALL.configure 00README 00RELEASE_NOTES
%{_bindir}/*
%{_mandir}/man?/*



%changelog
* Wed Apr 13 2011 Funda Wang <fwang@mandriva.org> 2.3.4.2-11mdv2011.0
+ Revision: 653070
- build with db 5.1

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.4.2-10mdv2011.0
+ Revision: 612904
- the mass rebuild of 2010.1 packages

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 2.3.4.2-9mdv2010.1
+ Revision: 498557
- fix conflcits type

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.3.4.2-8mdv2009.0
+ Revision: 252635
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4.2-6mdv2008.1
+ Revision: 136813
- uncompress patches
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import mmorph


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4.2-4mdv2007.0
- Rebuild

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4.2-3mdk
- fix buildrequires

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4.2-2mdk
- fix buildrequires

* Wed Mar 02 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.3.4.2-1mdk 
- first mdk release
